#!/bin/bash
## Το NoTails.. Tails Μενού στα Ελληνικά είναι ένα αρθρωτό (modular) Zenity
## σενάριο (script) ανοιχτού κώδικα (open source) για το Tails OS Live USB.
##
## Copyright (C) 2025  Rebelstreamers, version 1.0 από το gamelink.gr
##
## Το πρόγραμμα αυτό μεταφέρεται σε εσάς "AS IS" και χωρίς καμία υποχρέωση από 
## τον δημιουργό του και καλύπτεται απο την AGPLv3 GNU άδεια έκδοσης.



title8time="8.Οθόνη Χρόνου με Πόλεις ανά τον Κόσμο"
echo -e '\033]2;'$title8time'\007'

# Με αυτό το σενάριο βλέπουμε ζωντανά τις ώρες κάθε 10 δευτερόλεπτα από τις πόλεις
# ανά τον Κόσμο ενδιαφέροντός μας.
# Για να προσθέσετε ή αφαιρέσετε πόλεις διαβάστε την ονομασία του Αρχείου μέσα 
# στον φάκελο της Ηπείρου που θέλετε να βάλετε και προσθέστε την με την μορφή
# Ήπειρος/Πόλη μέσα σε "" εντός της παρένθεσης μέσα στον city_times πίνακα. 
xronos_epanelgxou="10"

# zoneinfo=/usr/share/zoneinfo

city_times=( "Europe/Athens" "Europe/Nicosia" "Asia/Tokyo" "America/New_York" \
    "America/Chicago" "America/Los_Angeles" "Australia/Sydney" "Asia/Shanghai" \
    "Asia/Kabul" "Asia/Kuwait" "Africa/Tunis" "Etc/ZULU"
    )

 
# Χρώματα για τις οθόνες των τερματικών, 
# Με true έχετε τα χρώματα που έχω βάλει εγώ, με ble τα κάνετε όλα μπλε, με gre 
# όλα πράσινα, με yel όλα κίτρινα, με red όλα κόκκινα και με οτιδήποτε εκτός από 
# αυτές τις 5 ονομασίες δεν θα εμφανίζονται καθόλου χρώματα!
# Σημείωση: οι μεταβλητές του κάθε script ορίζουν τα χρώματα στο script του & μόνο
use_color="true"
NC='\033[0m'

# Βάλτε το δικό σας χρώμα αν θέλετε σαν ένα νέο elif αλλά αλλάξτε και την use_color
if [[ "$use_color" == "true" ]]; then 
    RED='\033[1;31m'; GRE='\033[1;32m'; YEL='\033[1;33m'; BLE='\033[1;36m'
elif [[ "$use_color" == "ble" ]]; then 
    RED='\033[1;36m'; GRE='\033[1;36m'; YEL='\033[1;36m'; BLE='\033[1;36m'
elif [[ "$use_color" == "gre" ]]; then
    RED='\033[1;32m'; GRE='\033[1;32m'; YEL='\033[1;32m'; BLE='\033[1;32m'
elif [[ "$use_color" == "yel" ]]; then
    RED='\033[1;33m'; GRE='\033[1;33m'; YEL='\033[1;33m'; BLE='\033[1;33m'
elif [[ "$use_color" == "red" ]]; then
    RED='\033[1;31m'; GRE='\033[1;31m'; YEL='\033[1;31m'; BLE='\033[1;31m'
else
    #χωρίς χρώματα καθόλου
    unset -v RED; unset -v GRE; unset -v YEL; unset -v BLE; unset -v NC
fi


###  μια αναμονή (sleep) με στυλ
anamoni_ektelesis(){
    if [ ! -n "$1" ]; then
        local endz=12 
    else 
        local endz=$1
    fi
    for i in $(seq 1 $endz); do sleep 1 2>&1 && echo -ne "$BLE.$NC\033[K"; done
}



# Αν δεν θέλετε χρώματα αφαιρέστε και τις μεταβλητές YELL RESET & MPLE μέσα στην
# while γιατί χαλάνε εντελώς την μορφοποίηση λόγω awk .

function timezzz() {
    export -f anamoni_ektelesis
    while true; do
      echo -e "\n ΧΩΡΑ / ΠΟΛΗ              ΜΕΡΑ       ΜΗΝΑΣ      ΧΡΟΝΟΣ      ΩΡΑ ΚΑΙ ΔΙΑΦΟΡΑ ΜΕ UTC \n"
      for z in "${city_times[@]}"; do
         echo -ne " $z:\t$(TZ=$z date -R) " | \
         awk -v MPLE=${BLE} -v RESET=${NC} -v YELL=${YEL} '{printf \
          "\r %-30s %-7s %-7s %-10s %-10s %-15s %-12s  \n", YELL $1, RESET $2,$3,$4,$5, MPLE $6, RESET $7}'
      done
      anamoni_ektelesis "$xronos_epanelgxou"
      clear
    done
    trap "break" SIGINT
    
}

timezzz